import { AfterContentInit, QueryList, OnDestroy, OnInit } from '@angular/core';
import { TabService } from '../tab/tab.service';
import { TabViewItemComponent } from '../tab-view-item/tab-view-item.component';
export declare class TabViewComponent implements AfterContentInit, OnInit, OnDestroy {
    private tabService;
    tabViewItems: QueryList<TabViewItemComponent>;
    private subs;
    private index;
    constructor(tabService: TabService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    setState(): void;
}
